Class BridgeCurveBuilder
Inheritance
System.Object
System.MarshalByRefObject
BridgeCurveBuilder
Implements
System.Runtime.Remoting.Messaging.IMessageSink
Inherited Members
System.MarshalByRefObject.CreateObjRef(System.Type)
System.MarshalByRefObject.GetLifetimeService()
System.MarshalByRefObject.InitializeLifetimeService()
System.MarshalByRefObject.MemberwiseClone(System.Boolean)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
Assembly: NXOpen.dll
Syntax
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead.")]
public class BridgeCurveBuilder : FeatureBuilder, IMessageSink, IComponentBuilder
Constructors
BridgeCurveBuilder()
Declaration
protected BridgeCurveBuilder()
Properties
ConstraintFaces
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public ScCollector ConstraintFaces { get; }
Property Value
CurveFitData
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public CurveFitData CurveFitData { get; }
Property Value
CurveFitOption
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public BridgeCurveBuilder.CurveFitTypes CurveFitOption { get; set; }
Property Value
Depth
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public Expression Depth { get; }
Property Value
EndContinuityOption
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public BridgeCurveBuilder.ConstraintTypes EndContinuityOption { get; set; }
Property Value
EndCurveDirectionOption
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public BridgeCurveBuilder.CurveDirectionTypes EndCurveDirectionOption { get; set; }
Property Value
EndDirectionAngle
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public Expression EndDirectionAngle { get; }
Property Value
EndObject
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public SelectObject EndObject { get; }
Property Value
EndObjectOption
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public BridgeCurveBuilder.EndObjectTypes EndObjectOption { get; set; }
Property Value
EndPerpendicularFace
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public SelectObject EndPerpendicularFace { get; }
Property Value
EndPointDirection
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public Direction EndPointDirection { get; set; }
Property Value
EndReferencePoint
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public Point EndReferencePoint { get; set; }
Property Value
EndSurfaceDirectionOption
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public BridgeCurveBuilder.SurfaceDirectionTypes EndSurfaceDirectionOption { get; set; }
Property Value
EndTangentMagnitude
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public Expression EndTangentMagnitude { get; }
Property Value
EndVectorObject
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public Direction EndVectorObject { get; set; }
Property Value
IsAssociative
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public bool IsAssociative { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
MaximumDegree
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public int MaximumDegree { get; set; }
Property Value
Type |
Description |
System.Int32 |
|
MaximumSegment
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public int MaximumSegment { get; set; }
Property Value
Type |
Description |
System.Int32 |
|
MinimumRadiusOption
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public BridgeCurveBuilder.MinRadiusTypes MinimumRadiusOption { get; set; }
Property Value
MinimumRadiusValue
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public Expression MinimumRadiusValue { get; }
Property Value
ObjectSelectionOption
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public BridgeCurveBuilder.SelectedObject ObjectSelectionOption { get; set; }
Property Value
ReverseEndDirection
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public bool ReverseEndDirection { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
ReverseStartDirection
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public bool ReverseStartDirection { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
Rho
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public Expression Rho { get; }
Property Value
ShapeControlOption
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public BridgeCurveBuilder.ShapeControlTypes ShapeControlOption { get; set; }
Property Value
ShapeCurve
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public SelectObject ShapeCurve { get; }
Property Value
Skew
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public Expression Skew { get; }
Property Value
StartContinuityOption
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public BridgeCurveBuilder.ConstraintTypes StartContinuityOption { get; set; }
Property Value
StartCurveDirectionOption
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public BridgeCurveBuilder.CurveDirectionTypes StartCurveDirectionOption { get; set; }
Property Value
StartDirectionAngle
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public Expression StartDirectionAngle { get; }
Property Value
StartObject
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public SelectObject StartObject { get; }
Property Value
StartPerpendicularFace
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public SelectObject StartPerpendicularFace { get; }
Property Value
StartPointDirection
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public Direction StartPointDirection { get; set; }
Property Value
StartReferencePoint
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public Point StartReferencePoint { get; set; }
Property Value
StartSurfaceDirectionOption
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public BridgeCurveBuilder.SurfaceDirectionTypes StartSurfaceDirectionOption { get; set; }
Property Value
StartTangentMagnitude
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public Expression StartTangentMagnitude { get; }
Property Value
Tolerance
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public double Tolerance { get; set; }
Property Value
Type |
Description |
System.Double |
|
UPercentEnd
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public Expression UPercentEnd { get; }
Property Value
UPercentStart
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public Expression UPercentStart { get; }
Property Value
VPercentEnd
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public Expression VPercentEnd { get; }
Property Value
VPercentStart
Declaration
[Obsolete("Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead..")]
public Expression VPercentStart { get; }
Property Value
Implements
System.Runtime.Remoting.Messaging.IMessageSink